datacache <- new.env(hash=TRUE, parent=emptyenv())

hgu219 <- function() showQCData("hgu219", datacache)
hgu219_dbconn <- function() dbconn(datacache)
hgu219_dbfile <- function() dbfile(datacache)
hgu219_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgu219_dbInfo <- function() dbInfo(datacache)

hgu219ORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgu219.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hgu219", "chip hgu219", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("hgu219.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgu219_dbconn())
}

